import request from '@/utils/request'
import { BASE } from './apiGateway'

var apiList = {

  /**
   * 获取通用字典
   * @param {*} name 
   */
  findDict(params) {
    return request({
      url: `${BASE}/dict/findDict`,
      method: 'GET',
      params: params
    })
  },

  findProvince(params) {
    return request({
      url: `${BASE}/dict/findProvince`,
      method: 'GET',
      params: params
    })
  },

  findCity(params) {
    return request({
      url: `${BASE}/dict/findCity`,
      method: 'GET',
      params: params
    })
  },
  findTown(params) {
    return request({
      url: `${BASE}/dict/findTown`,
      method: 'GET',
      params: params
    })
  },
  findStreet(params) {
    return request({
      url: `${BASE}/dict/findStreet`,
      method: 'GET',
      params: params
    })
  },
  findCommity(params) {
    return request({
      url: `${BASE}/dict/findCommity`,
      method: 'GET',
      params: params
    })
  },
  getNationDict(params) {
    return request({
      url: `${BASE}/dict/getNationDict`,
      method: 'GET',
      params: params
    })
  },
}

export default apiList
